module.exports = {
  extends: [
    'eslint-config-airbnb',
  ].map(require.resolve),
  parser: 'babel-eslint',
  plugins: [
    'babel',
  ],
  rules: {
    // style
    'consistent-return': 0,
    'jsx-quotes': [2, 'prefer-single'],
    'no-mixed-operators': [2, {'allowSamePrecedence': true}],
    'no-warning-comments': [1, { 'terms': ['todo', 'fixme', 'xxx'], 'location': 'start' }],
    'react/jsx-curly-spacing': ['error', 'always'],
    'react/jsx-filename-extension': [2, { 'extensions': ['.js', '.jsx'] }],
    'react/sort-prop-types': [2, {
      'callbacksLast': true,
      'ignoreCase': true,
      'requiredFirst': true,
    }],

    // handles async/await functions correctly
    'generator-star-spacing': 0,
    'babel/generator-star-spacing': [2, { 'before': true, 'after': false }],

    // disable resolution required rules since
    // we don't have a blueprints plugin for these.
    'import/no-unresolved': 0,
    'import/no-named-as-default': 0,
    'import/no-named-as-default-member': 0,
    'import/no-extraneous-dependencies': 0,
    'import/extensions': 0,
  }
};
